﻿using SfDataGridDemo;
using Syncfusion.UI.Xaml.ScrollAxis;
//using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class ViewModel
    {
        #region Fields
        readonly Action<object> _execute;
        readonly Predicate<object> _canExecute;
        #endregion // Fields
       

        private ObservableCollection<OrderInfo> orderCollection;
        public ObservableCollection<OrderInfo> OrderInfoCollection
        {
            get
            {
                return orderCollection;
            }
            set
            {
                orderCollection = value;
            }
        }

        public ViewModel()
        {
            orderCollection = new ObservableCollection<OrderInfo>();
            this.GenerateOrders(10);
        }

        public void GenerateOrders(int count)
        {
            for (int i = 0; i < count; i++)
            {
                orderCollection.Add(new OrderInfo { CustomerID = "101", CustomerName = "Hannah", Country = "Male", ID = i });
                orderCollection.Add(new OrderInfo { CustomerID = "102", CustomerName = "Stephen", Country = "Software Engineer", ID = i+1 });
                orderCollection.Add(new OrderInfo { CustomerID = " 103", CustomerName = "Humberto", Country = "Product Manger", ID = i+2 });
                orderCollection.Add(new OrderInfo { CustomerID = "104", CustomerName = "Maxwell", Country = "Software Engineer", ID = i+3 });
                orderCollection.Add(new OrderInfo { CustomerID = "105", CustomerName = "Ronald", Country = "Product Manger", ID = i+4 });
            }
           
        }
    }
}

